Index: WAeUP_SRP/trunk/skins/waeup_accommodation/acco_hall_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/acco_hall_view.pt	(revision 1274)
+++ WAeUP_SRP/trunk/skins/waeup_accommodation/acco_hall_view.pt	(revision 1275)
@@ -34,5 +34,5 @@
         <a href="download" 
            tal:attributes="href string:hall_allocation_list">
-          <strong>Download bedlist as csv </strong></a>
+          <strong>Download bedlist as csv file</strong></a>
       </div>
       <br />
@@ -40,5 +40,5 @@
              tal:define="reserved info/reserved">
         <tr>
-          <th width="50px">Student-Id</th>
+          <th width="100px">Student Id</th>
           <th width="300px">Name</th>
           <th width="200px">Bed</th>
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt	(revision 1274)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt	(revision 1275)
@@ -1,31 +1,32 @@
 <metal:block define-macro="clearance_edit_form">
-<metal:block tal:define="info context/getClearanceInfo">
-  <span tal:condition="not: info">
-    <span tal:content="here/illegal_view" />
-  </span>
-<metal:block tal:condition="info"> 
-<tal:block define="
-           is_so context/isSectionOfficer;
-           is_staff context/isStaff;
-           is_co context/isClearanceOfficer;
-           is_student context/isStudent;
-           review_state info/review_state;
-           clear_review_state info/clear_review_state;
-           editable python:not is_co and (is_student and clear_review_state == 'opened' or is_so);
-           mode python: test(editable,'edit','view');
-           layout_id python: test(is_so,'student_clearance','student_clearance_fe');
-           rendered_main python:info['clear_doc'].render(request=request,
-                                               layout_mode = mode,
-                                               schema_id='student_clearance',
-                                               layout_id=layout_id,
-                                               use_session=True);
-           form_action string:clearance_edit;
-           creation python:False;
-    ">
-<metal:block use-macro="here/waeup_content_master/macros/master">
-  <metal:block fill-slot="header">
+ <metal:block use-macro="here/waeup_content_master/macros/master">
+  <metal:header fill-slot="header"
+           tal:define="
+               is_student context/isStudent;
+               is_staff context/isStaff;
+               is_so context/isSectionOfficer;
+               info context/getClearanceInfo;">
     <metal:block use-macro="here/clearance_edit_lib/macros/header" />
-  </metal:block>
-  <metal:block fill-slot="main">
+  </metal:header>
+  <metal:main fill-slot="main"
+           tal:define="
+               info context/getClearanceInfo;
+               is_so context/isSectionOfficer;
+               is_staff context/isStaff;
+               is_co context/isClearanceOfficer;
+               is_student context/isStudent;
+               review_state info/review_state;
+               clear_review_state info/clear_review_state;
+               editable python:not is_co and (is_student and clear_review_state == 'opened' or is_so);
+               mode python: test(editable,'edit','view');
+               layout_id python: test(is_so,'student_clearance','student_clearance_fe');
+               rendered_main python:info['clear_doc'].render(request=request,
+                                                   layout_mode = mode,
+                                                   schema_id='student_clearance',
+                                                   layout_id=layout_id,
+                                                   use_session=True);
+               form_action string:clearance_edit;
+               creation python:False;">
+               
     <form action="ACTION" method="post" id="editForm"
           enctype="multipart/form-data" class="workflow"
@@ -46,8 +47,5 @@
         ajax feedback
       </div>
-    </metal:block>
-  </metal:block>
-</tal:block>
+  </metal:main>
+ </metal:block>
 </metal:block>
-</metal:block>
-</metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_view.pt	(revision 1274)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_view.pt	(revision 1275)
@@ -1,12 +1,8 @@
-<metal:html tal:define="info context/getClearanceInfo;
+<metal:body use-macro="here/waeup_content_master/macros/master">
+    <metal:main fill-slot="main"
+                tal:define="info context/getClearanceInfo;
                         is_so context/isSectionOfficer;
                         is_student context/isStudent;
                         ">
-  <span tal:condition="not: info">
-    <span tal:content="here/illegal_view" />
-  </span>
-<metal:block tal:condition="info">                         
-  <metal:body use-macro="here/waeup_content_master/macros/master">
-    <metal:main fill-slot="main">
       <span tal:condition="not: info">
         <metal:block use-macro="here/error_not_found/macros/not_found" />
@@ -43,5 +39,3 @@
       </span>
     </metal:main>
-  </metal:body>
-</metal:block>      
-</metal:html>
+</metal:body>
